=== modified file 'Makefile'
--- Makefile	2008-05-20 09:48:09 +0000
+++ Makefile	2008-07-02 16:52:12 +0000
@@ -21,6 +21,7 @@
 ### Core Stuff ###
 
 PYTHON=python
+PYTHON_BUILDFLAGS=
 
 .PHONY: all clean extensions pyflakes api-docs
 
@@ -28,7 +29,7 @@
 
 extensions:
 	@echo "building extension modules."
-	$(PYTHON) setup.py build_ext -i
+	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)
 
 check: docs extensions
 	$(PYTHON) -Werror -O ./bzr selftest -1v $(tests)
@@ -170,7 +171,7 @@
 # make bzr.exe for win32 with py2exe
 exe:
 	@echo *** Make bzr.exe
-	$(PYTHON) setup.py build_ext -i -f
+	$(PYTHON) setup.py build_ext -i -f $(PYTHON_BUILDFLAGS)
 	$(PYTHON) setup.py py2exe > py2exe.log
 	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/start_bzr.bat win32_bzr.exe
 	$(PYTHON) tools/win32/ostools.py copytodir tools/win32/bazaar.url win32_bzr.exe

=== modified file 'setup.py'
--- setup.py	2008-03-16 00:28:48 +0000
+++ setup.py	2008-07-02 16:52:12 +0000
@@ -346,9 +346,12 @@
     packs, mods = mf.get_result()
     additional_packages.update(packs)
 
+    # MSWSOCK.dll is a system-specific library, which py2exe accidentally pulls
+    # in on Vista.
     options_list = {"py2exe": {"packages": packages + list(additional_packages),
                                "includes": includes + mods,
                                "excludes": ["Tkinter", "medusa", "tools"],
+                               "dll_excludes": ["MSWSOCK.dll"],
                                "dist_dir": "win32_bzr.exe",
                               },
                    }

